Subject: bug#32825: 27.0.50; Deterministic window management

From: martin rudalics <[email-masked]>
Date: Thu, 08 Nov 2018 09:53:44 +0100

> This is why man.el currently uses a simpler solution:
 >
 > (1) Call 'display-buffer' to display the buffer.
 >
 > (2) Format the buffer in some way so that it fits into displayed size.

And I always agreed on that.  But IIUC this approach was not applied
on all bugs whose numbers I previously mentioned.

 > When a man page is not found, currently it reverts 'display-buffer'.

Can that be annoying in practice?

 > What benefits would be provided by the approach that uses
 > 'display-buffer-try-and-revert'?

None probably.  We could build into it some trickery (to not revert
the configuration or make a new frame visible under certain
conditions) but I doubt this would work out very well in all cases.

martin